Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003601 [JEDI VCL] 00 JVCL Components crash always 2006-03-21 06:43 2006-09-29 06:41
Reporter marcgeldon View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003601: TJvCustomDBTreeView Bug (with bugfix, please add to CVS!)
Description There is a bug in the following function: "TJvCustomDBTreeView.ValidDataSet". If you open the TJvDBLookupTreeViewCombo and let it open while closing the parent / the window, you'll receive an EAccessViolation.

Here is a bug fix:

+++ OLD VERSION (CURRENT VERSION) +++
function TJvCustomDBTreeView.ValidDataSet: Boolean;
begin
  Result := FDataLink.Active and Assigned(FDataLink.DataSet) and FDataLink.DataSet.Active;
end;

+++ NEW VERSION (WITHOUT BUG) +++
function TJvCustomDBTreeView.ValidDataSet: Boolean;
begin
  Result := Assigned(FDataLink) and FDataLink.Active and Assigned(FDataLink.DataSet) and FDataLink.DataSet.Active;
end;


We have to check if the FDataLink still exists, before access it!
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008991)
marcgeldon (reporter)
2006-04-05 06:58

Please, can someone change this in CVS? Bugfix can be found here in the bug description!
(0009000)
obones (administrator)
2006-04-05 08:22

But FDataLink is only destroyed in the destructor. Does this mean ValidDataSet is called after a call to Destroy?
If so, I'd be very surprised, and would like to know the call stack leading to this.
(0009474)
obones (administrator)
2006-06-08 07:27

Any remarks?
(0009697)
obones (administrator)
2006-06-27 08:33

Marc, please provide a sample application, I really need to see this happening.
(0010006)
marcgeldon (reporter)
2006-08-23 08:40

I think there is no demo application needed. This is just more a "Assigned"-check. Is that okay?
(0010010)
obones (administrator)
2006-08-24 00:48

Well, sure, having the "Assigned" test will avoid this.
What I don't understand, and why I want to see it happening, is how it gets set to nil. Looking at the source, I can't see this happening, hence the question.

- Issue History
Date Modified Username Field Change
2006-03-21 06:43 marcgeldon New Issue
2006-04-05 06:58 marcgeldon Note Added: 0008991
2006-04-05 08:22 obones Note Added: 0009000
2006-04-05 08:22 obones Status new => feedback
2006-06-08 07:27 obones Note Added: 0009474
2006-06-27 08:33 obones Note Added: 0009697
2006-08-23 08:40 marcgeldon Note Added: 0010006
2006-08-24 00:48 obones Note Added: 0010010
2006-09-29 06:41 obones Status feedback => resolved
2006-09-29 06:41 obones Fixed in Version => Daily / SVN
2006-09-29 06:41 obones Resolution open => fixed
2006-09-29 06:41 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker